#
# spec file for package sblim-gather (Version 2.0.3)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cim-schema coreutils cpio cpp cracklib curl cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libidn libnscd libstdc++ libstdc++-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openslp openslp-devel openssl openssl-devel openwbem openwbem-devel pam pam-devel pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sblim-cmpi-base sblim-cmpi-base-devel sblim-indication_helper sblim-indication_helper-devel sblim-testsuite sblim-wbemcli sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           sblim-gather
BuildRequires:  gcc-c++ openslp-devel openssl-devel pam-devel sblim-cmpi-base-devel sblim-indication_helper-devel sblim-testsuite
URL:            http://www-124.ibm.com/sblim/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        SBLIM Performance Data Gatherer and Provider
Version:        2.0.3
Release:        10.2
Group:          System/Management
License:        IBM Public License
Requires:       sblim-cmpi-base >= 1.2.3, cim-server
Source0:        http://prdownloads.sourceforge.net/sblim/sblim-gather-%{version}.tar.bz2
Patch:          sblim-gather-2.0.3_linkerpaths.patch
Patch1:         sblim-gather-2.0.3_static_overflow.patch
Patch2:         sblim-gather-2.0.3_pointers.patch
PreReq:         /usr/bin/loadmof.sh, /usr/bin/rmmof.sh

%description
The purpose of this package is to implement the DMTF CIM Metrics Model
for Linux, making it available via a CIMOM supporting/supported by the
CMPI provider interface.

1. The package consists of three parts: 1. The Gatherer Component


2. 2. The Metric Plugins


3. 3. The Performance Data Providers

While the Gatherer and it's plugins can be used standalone, the
greatest benefit comes from using it in conjuction with a CIM Object
Manager (CIMOM) like Pegasus (The Open Group). Basically it allows to
remoteley obtain performance information about a Linux system. For more
information about CIM and the CIM Metrics Model you are referred to the
Distributed Management Task Force (DMTF) at http://www.dmtf.org.



Authors:
--------
    SBLIM Project

%debug_package
%prep
%setup -n %{name}-%{version}
%patch
%patch1
%patch2

%build
autoreconf -fi
export CFLAGS="%{optflags} -fno-strict-aliasing"
%configure
%{__make}

%install

%makeinstall docdir=%{_docdir}/%{name}

%clean
%{__rm} -rf %{buildroot}

%post
# compile MOF
/usr/bin/loadmof.sh -n root/cimv2 %{_datadir}/%{name}/Linux_Metric.mof
/usr/bin/loadmof.sh -n root/cimv2 %{_datadir}/%{name}/Linux_LocalFileSystemMetric.mof
/usr/bin/loadmof.sh -n root/cimv2 %{_datadir}/%{name}/Linux_NetworkPortMetric.mof
/usr/bin/loadmof.sh -n root/cimv2 %{_datadir}/%{name}/Linux_OperatingSystemMetric.mof
/usr/bin/loadmof.sh -n root/cimv2 %{_datadir}/%{name}/Linux_ProcessorMetric.mof
/usr/bin/loadmof.sh -n root/cimv2 %{_datadir}/%{name}/Linux_UnixProcessMetric.mof
/usr/bin/loadmof.sh -n root/cimv2 %{_datadir}/%{name}/Linux_IPProtocolEndpointMetric.mof

%preun
if [ "$1" = "0" ]; then
    /usr/bin/rmmof.sh -n root/cimv2 %{_datadir}/%{name}/Linux_Metric.mof
    /usr/bin/rmmof.sh -n root/cimv2 %{_datadir}/%{name}/Linux_LocalFileSystemMetric.mof
    /usr/bin/rmmof.sh -n root/cimv2 %{_datadir}/%{name}/Linux_NetworkPortMetric.mof
    /usr/bin/rmmof.sh -n root/cimv2 %{_datadir}/%{name}/Linux_OperatingSystemMetric.mof
    /usr/bin/rmmof.sh -n root/cimv2 %{_datadir}/%{name}/Linux_ProcessorMetric.mof
    /usr/bin/rmmof.sh -n root/cimv2 %{_datadir}/%{name}/Linux_UnixProcessMetric.mof
    /usr/bin/rmmof.sh -n root/cimv2 %{_datadir}/%{name}/Linux_IPProtocolEndpointMetric.mof
fi

%files
%defattr(-,root,root)
%{_sysconfdir}/gatherd.conf
%{_sysconfdir}/reposd.conf
%{_bindir}/gatherctl
%{_bindir}/reposctl
%{_sbindir}/gatherd
%{_sbindir}/reposd
#
%{_libdir}/cmpi/libOSBase_MetricDefForMEProvider.a
%{_libdir}/cmpi/libOSBase_MetricDefForMEProvider.la
%{_libdir}/cmpi/libOSBase_MetricDefForMEProvider.so
%{_libdir}/cmpi/libOSBase_MetricDefForMEProvider.so.0
%{_libdir}/cmpi/libOSBase_MetricDefForMEProvider.so.0.0.0
%{_libdir}/cmpi/libOSBase_MetricDefinitionProvider.a
%{_libdir}/cmpi/libOSBase_MetricDefinitionProvider.la
%{_libdir}/cmpi/libOSBase_MetricDefinitionProvider.so
%{_libdir}/cmpi/libOSBase_MetricDefinitionProvider.so.0
%{_libdir}/cmpi/libOSBase_MetricDefinitionProvider.so.0.0.0
%{_libdir}/cmpi/libOSBase_MetricForMEProvider.a
%{_libdir}/cmpi/libOSBase_MetricForMEProvider.la
%{_libdir}/cmpi/libOSBase_MetricForMEProvider.so
%{_libdir}/cmpi/libOSBase_MetricForMEProvider.so.0
%{_libdir}/cmpi/libOSBase_MetricForMEProvider.so.0.0.0
%{_libdir}/cmpi/libOSBase_MetricGathererProvider.a
%{_libdir}/cmpi/libOSBase_MetricGathererProvider.la
%{_libdir}/cmpi/libOSBase_MetricGathererProvider.so
%{_libdir}/cmpi/libOSBase_MetricGathererProvider.so.0
%{_libdir}/cmpi/libOSBase_MetricGathererProvider.so.0.0.0
%{_libdir}/cmpi/libOSBase_MetricIndicationProvider.a
%{_libdir}/cmpi/libOSBase_MetricIndicationProvider.la
%{_libdir}/cmpi/libOSBase_MetricIndicationProvider.so
%{_libdir}/cmpi/libOSBase_MetricIndicationProvider.so.0
%{_libdir}/cmpi/libOSBase_MetricIndicationProvider.so.0.0.0
%{_libdir}/cmpi/libOSBase_MetricInstanceProvider.a
%{_libdir}/cmpi/libOSBase_MetricInstanceProvider.la
%{_libdir}/cmpi/libOSBase_MetricInstanceProvider.so
%{_libdir}/cmpi/libOSBase_MetricInstanceProvider.so.0
%{_libdir}/cmpi/libOSBase_MetricInstanceProvider.so.0.0.0
%{_libdir}/cmpi/libOSBase_MetricRepositoryServiceProvider.a
%{_libdir}/cmpi/libOSBase_MetricRepositoryServiceProvider.la
%{_libdir}/cmpi/libOSBase_MetricRepositoryServiceProvider.so
%{_libdir}/cmpi/libOSBase_MetricRepositoryServiceProvider.so.0
%{_libdir}/cmpi/libOSBase_MetricRepositoryServiceProvider.so.0.0.0
%{_libdir}/cmpi/libOSBase_MetricValueProvider.a
%{_libdir}/cmpi/libOSBase_MetricValueProvider.la
%{_libdir}/cmpi/libOSBase_MetricValueProvider.so
%{_libdir}/cmpi/libOSBase_MetricValueProvider.so.0
%{_libdir}/cmpi/libOSBase_MetricValueProvider.so.0.0.0
%{_libdir}/libOSBase_MetricUtil.a
%{_libdir}/libOSBase_MetricUtil.la
%{_libdir}/libOSBase_MetricUtil.so
%{_libdir}/libOSBase_MetricUtil.so.0
%{_libdir}/libOSBase_MetricUtil.so.0.0.0
%{_libdir}/libcimplugIPProtocolEndpoint.a
%{_libdir}/libcimplugIPProtocolEndpoint.la
%{_libdir}/libcimplugIPProtocolEndpoint.so
%{_libdir}/libcimplugIPProtocolEndpoint.so.0
%{_libdir}/libcimplugIPProtocolEndpoint.so.0.0.0
%{_libdir}/libcimplugLocalFileSystem.a
%{_libdir}/libcimplugLocalFileSystem.la
%{_libdir}/libcimplugLocalFileSystem.so
%{_libdir}/libcimplugLocalFileSystem.so.0
%{_libdir}/libcimplugLocalFileSystem.so.0.0.0
%{_libdir}/libcimplugNetworkPort.a
%{_libdir}/libcimplugNetworkPort.la
%{_libdir}/libcimplugNetworkPort.so
%{_libdir}/libcimplugNetworkPort.so.0
%{_libdir}/libcimplugNetworkPort.so.0.0.0
%{_libdir}/libcimplugOperatingSystem.a
%{_libdir}/libcimplugOperatingSystem.la
%{_libdir}/libcimplugOperatingSystem.so
%{_libdir}/libcimplugOperatingSystem.so.0
%{_libdir}/libcimplugOperatingSystem.so.0.0.0
%{_libdir}/libcimplugProcessor.a
%{_libdir}/libcimplugProcessor.la
%{_libdir}/libcimplugProcessor.so
%{_libdir}/libcimplugProcessor.so.0
%{_libdir}/libcimplugProcessor.so.0.0.0
%{_libdir}/libcimplugUnixProcess.a
%{_libdir}/libcimplugUnixProcess.la
%{_libdir}/libcimplugUnixProcess.so
%{_libdir}/libcimplugUnixProcess.so.0
%{_libdir}/libcimplugUnixProcess.so.0.0.0
%{_libdir}/libgather.a
%{_libdir}/libgather.la
%{_libdir}/libgather.so
%{_libdir}/libgather.so.0
%{_libdir}/libgather.so.0.0.0
%{_libdir}/libgatherutil.a
%{_libdir}/libgatherutil.la
%{_libdir}/libgatherutil.so
%{_libdir}/libgatherutil.so.0
%{_libdir}/libgatherutil.so.0.0.0
%{_libdir}/libmcserv.a
%{_libdir}/libmcserv.la
%{_libdir}/libmcserv.so
%{_libdir}/libmcserv.so.0
%{_libdir}/libmcserv.so.0.0.0
%{_libdir}/libmetricIPProtocolEndpoint.a
%{_libdir}/libmetricIPProtocolEndpoint.la
%{_libdir}/libmetricIPProtocolEndpoint.so
%{_libdir}/libmetricIPProtocolEndpoint.so.0
%{_libdir}/libmetricIPProtocolEndpoint.so.0.0.0
%{_libdir}/libmetricLocalFileSystem.a
%{_libdir}/libmetricLocalFileSystem.la
%{_libdir}/libmetricLocalFileSystem.so
%{_libdir}/libmetricLocalFileSystem.so.0
%{_libdir}/libmetricLocalFileSystem.so.0.0.0
%{_libdir}/libmetricNetworkPort.a
%{_libdir}/libmetricNetworkPort.la
%{_libdir}/libmetricNetworkPort.so
%{_libdir}/libmetricNetworkPort.so.0
%{_libdir}/libmetricNetworkPort.so.0.0.0
%{_libdir}/libmetricOperatingSystem.a
%{_libdir}/libmetricOperatingSystem.la
%{_libdir}/libmetricOperatingSystem.so
%{_libdir}/libmetricOperatingSystem.so.0
%{_libdir}/libmetricOperatingSystem.so.0.0.0
%{_libdir}/libmetricProcessor.a
%{_libdir}/libmetricProcessor.la
%{_libdir}/libmetricProcessor.so
%{_libdir}/libmetricProcessor.so.0
%{_libdir}/libmetricProcessor.so.0.0.0
%{_libdir}/libmetricUnixProcess.a
%{_libdir}/libmetricUnixProcess.la
%{_libdir}/libmetricUnixProcess.so
%{_libdir}/libmetricUnixProcess.so.0
%{_libdir}/libmetricUnixProcess.so.0.0.0
%{_libdir}/librcserv.a
%{_libdir}/librcserv.la
%{_libdir}/librcserv.so
%{_libdir}/librcserv.so.0
%{_libdir}/librcserv.so.0.0.0
%{_libdir}/librepos.a
%{_libdir}/librepos.la
%{_libdir}/librepos.so
%{_libdir}/librepos.so.0
%{_libdir}/librepos.so.0.0.0
%{_libdir}/librepositoryIPProtocolEndpoint.a
%{_libdir}/librepositoryIPProtocolEndpoint.la
%{_libdir}/librepositoryIPProtocolEndpoint.so
%{_libdir}/librepositoryIPProtocolEndpoint.so.0
%{_libdir}/librepositoryIPProtocolEndpoint.so.0.0.0
%{_libdir}/librepositoryLocalFileSystem.a
%{_libdir}/librepositoryLocalFileSystem.la
%{_libdir}/librepositoryLocalFileSystem.so
%{_libdir}/librepositoryLocalFileSystem.so.0
%{_libdir}/librepositoryLocalFileSystem.so.0.0.0
%{_libdir}/librepositoryNetworkPort.a
%{_libdir}/librepositoryNetworkPort.la
%{_libdir}/librepositoryNetworkPort.so
%{_libdir}/librepositoryNetworkPort.so.0
%{_libdir}/librepositoryNetworkPort.so.0.0.0
%{_libdir}/librepositoryOperatingSystem.a
%{_libdir}/librepositoryOperatingSystem.la
%{_libdir}/librepositoryOperatingSystem.so
%{_libdir}/librepositoryOperatingSystem.so.0
%{_libdir}/librepositoryOperatingSystem.so.0.0.0
%{_libdir}/librepositoryProcessor.a
%{_libdir}/librepositoryProcessor.la
%{_libdir}/librepositoryProcessor.so
%{_libdir}/librepositoryProcessor.so.0
%{_libdir}/librepositoryProcessor.so.0.0.0
%{_libdir}/librepositoryUnixProcess.a
%{_libdir}/librepositoryUnixProcess.la
%{_libdir}/librepositoryUnixProcess.so
%{_libdir}/librepositoryUnixProcess.so.0
%{_libdir}/librepositoryUnixProcess.so.0.0.0
%{_libdir}/librgather.a
%{_libdir}/librgather.la
%{_libdir}/librgather.so
%{_libdir}/librgather.so.0
%{_libdir}/librgather.so.0.0.0
%{_libdir}/librrepos.a
%{_libdir}/librrepos.la
%{_libdir}/librrepos.so
%{_libdir}/librrepos.so.0
%{_libdir}/librrepos.so.0.0.0
%{_datadir}/%{name}
%{_datadir}/sblim-testsuite/*
#
%doc %{_docdir}/%{name}

%changelog -n sblim-gather
* Wed Mar 01 2006 - mrueckert@suse.de
- update to version 2.0.3
  * 1422395 Fixed MetricInstance unidirectional misbehavior. (2.0.3)
  * 1426051 Fixed interoperability issues between 32 and 64 bit
  systems. (2.0.3)
  * 1376211 Fixed testsuite false failure reports. (2.0.2)
  * 1236584 Enhanced compatibility with tog-pegasus. (2.0.1)
  * Gatherer is now fully distributable: a central repository node
  can collect data from a large number of remote nodes running
  the gatherd daemon. (2.0.0)
- removed all patches -> no longer valid as the build system
  switched to auto*
- added patches
  * sblim-gather-2.0.3_linkerpaths.patch
  use .la files instead of -l on intree libraries
  * sblim-gather-2.0.3_static_overflow.patch
  fix a static buffer overflow
  * sblim-gather-2.0.3_pointers.patch
  fix a few warnings regarding mismatching pointer sizes
- compile with -fno-strict-aliasing
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Dec 14 2005 - ro@suse.de
- fix filelist
* Tue Dec 13 2005 - mrueckert@suse.de
- update to 1.0.11
- build against openwbem
- build with optflags
- use new syntax of loadmof/rmmof
* Thu Nov 11 2004 - ro@suse.de
- fixed file list
* Thu May 20 2004 - nashif@suse.de
- fixed #40885: sblim-gather provider hangs Pegasus and OpenWBEM
* Thu May 13 2004 - nashif@suse.de
- Initial Release ( 0.7.4)
